PipeWire: control.c File Reference

PipeWire 0.2.6

Data Structures | Functions
control.c File Reference
Include dependency graph for control.c:

## Data Structures
struct | impl

## Functions
struct pw_control * | pw_control_new (struct pw_core *core, struct pw_port *port, const struct spa_pod *param, size_t user_data_size)
void | pw_control_destroy (struct pw_control *control)
SPA_EXPORT struct pw_port * | pw_control_get_port (struct pw_control *control)
| Get the control parent port or NULL when not set. More...
SPA_EXPORT void | pw_control_add_listener (struct pw_control *control, struct spa_hook *listener, const struct pw_control_events *events, void *data)
| Add an event listener on the control. More...
SPA_EXPORT int | pw_control_link (struct pw_control *control, struct pw_control *other)
SPA_EXPORT int | pw_control_unlink (struct pw_control *control, struct pw_control *other)

## Function Documentation

## ◆ pw_control_add_listener()

SPA_EXPORT void pw_control_add_listener | ( | struct pw_control * | control,
|  | struct spa_hook * | listener,
|  | const struct pw_control_events * | events,
|  | void * | data
| ) |  |

Add an event listener on the control.

## ◆ pw_control_destroy()

void pw_control_destroy | ( | struct pw_control * | control | ) |

References impl::mem, pw_control_unlink(), pw_log::pw_log_debug(), and pw_memblock::pw_memblock_free().

## ◆ pw_control_get_port()

SPA_EXPORT struct pw_port* pw_control_get_port | ( | struct pw_control * | control | ) |

Get the control parent port or NULL when not set.

## ◆ pw_control_link()

SPA_EXPORT int pw_control_link | ( | struct pw_control * | control,
|  | struct pw_control * | other
| ) |  |

References impl::mem, pw_memblock::ptr, pw_log::pw_log_debug(), pw_memblock::pw_memblock_alloc(), PW_MEMBLOCK_FLAG_MAP_READWRITE, PW_MEMBLOCK_FLAG_SEAL, and PW_MEMBLOCK_FLAG_WITH_FD.

## ◆ pw_control_new()

struct pw_control* pw_control_new | ( | struct pw_core * | core,
|  | struct pw_port * | port,
|  | const struct spa_pod * | param,
|  | size_t | user_data_size
| ) |  |

References pw_type::core, pw_type::map, pw_type::param, pw_type::param_io, pw_type::port, pw_log::pw_log_debug(), pw_utils::pw_spa_pod_copy(), and impl::this.

## ◆ pw_control_unlink()

SPA_EXPORT int pw_control_unlink | ( | struct pw_control * | control,
|  | struct pw_control * | other
| ) |  |

References pw_log::pw_log_debug(), and pw_log::pw_log_warn().

Referenced by pw_control_destroy().

Here is the caller graph for this function: